This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 166954 - Pass additional parameters to mkinitrd in new-kernel-pkg
Pass additional parameters to mkinitrd in new-kernel-pkg
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Jones
David Lawrence
: FutureFeature, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-28 16:49 EDT by Keith Moore
Modified: 2009-02-17 14:26 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-17 14:26:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Pass site-specific parameters to mkinitrd (580 bytes, patch)
2005-08-28 16:50 EDT, Keith Moore
no flags Details | Diff

  None (edit)
Description Keith Moore 2005-08-28 16:49:06 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511

Description of problem:
It is often necessary to pass additional parameters (i.e. --with-usb) to mkinitrd when installing a new kernel. This could be done more easily if new-kernel-pkg honored a MKINITRDOPTIONS variable which could be set in /etc/sysconfig/kernel. I've attached a simple patch which implements this.

Version-Release number of selected component (if applicable):
mkinitrd-4.2.21-1

How reproducible:
Always

Steps to Reproduce:
1.Install new kernel rpm.
2.
3.
  

Additional info:
Comment 1 Keith Moore 2005-08-28 16:50:44 EDT
Created attachment 118196 [details]
Pass site-specific parameters to mkinitrd
Comment 2 Kenneth Porter 2005-10-21 22:05:21 EDT
A related request can be found in bug 171522 which could potentially use the
same sysconfig mechanism.
Comment 3 John Poelstra 2008-07-07 23:55:03 EDT
triaged-patch present
Comment 4 Peter Jones 2009-02-17 14:26:39 EST
This should be handled with /etc/sysconfig/mkinitrd rather than through a mechanism like this.

Note You need to log in before you can comment on or make changes to this bug.